Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 99657 - cdrecord: Cannot allocate memory. Cannot get SCSI I/O buffer.
Summary: cdrecord: Cannot allocate memory. Cannot get SCSI I/O buffer.
Status: RESOLVED CANTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: optical media herd
URL:
Whiteboard:
Keywords:
: 118803 (view as bug list)
Depends on:
Blocks:
 
Reported: 2005-07-20 05:14 UTC by Nickolay L. Selikhov
Modified: 2006-01-12 12:03 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nickolay L. Selikhov 2005-07-20 05:14:03 UTC
$ cdrecord -blank=fast
Cdrecord-Clone 2.01 (i686-pc-linux-gnu) Copyright (C) 1995-2004 J�g Schilling
cdrecord: Warning: Running on Linux-2.6.11.11
cdrecord: There are unsettled issues with Linux-2.5 and newer.
cdrecord: If you have unexpected problems, please try Linux-2.4 or Solaris.
scsidev: 'ATAPI:0,0,0'
devname: 'ATAPI'
scsibus: 0 target: 0 lun: 0
Warning: Using ATA Packet interface.
Warning: The related Linux kernel interface code seems to be unmaintained.
Warning: There is absolutely NO DMA, operations thus are slow.
Using libscg version 'schily-0.8'.
cdrecord: Cannot allocate memory. Cannot get SCSI I/O buffer. 

$  ls -l `which cdrecord`
-rwsr-x---  1 root cdrom 363076 Jun 30 08:45 /usr/bin/cdrecord 

vigr -s
...
cdrom:x:19:root,kolyan,aryskov
... 

# ls -l /dev/hdc
brw-rw----  1 root cdrom 22, 0 Jul 14 13:10 /dev/hdc


Reproducible: Always
Steps to Reproduce:
1.
2.
3.

Actual Results:  
Can't take access to CD for write from simple user, but hav't any problem with root!

Expected Results:  
Write/blank CD from user

# emerge info
Portage 2.0.51.22-r1 (default-linux/x86/2005.0, gcc-3.3.5-20050130,
glibc-2.3.5-r0, 2.6.11.11 i686)
=================================================================
System uname: 2.6.11.11 i686 Pentium III (Katmai)
Gentoo Base System version 1.6.12
dev-lang/python:     2.3.5
sys-apps/sandbox:    1.2.10
sys-devel/autoconf:  2.13, 2.59-r6
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.5
sys-devel/binutils:  2.15.92.0.2-r10
sys-devel/libtool:   1.5.18-r1
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=i686 -mcpu=pentium3 -O3 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.4/env
/usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3/share/config
/usr/lib/X11/xkb /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-march=i686 -mcpu=pentium3 -O3 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks sandbox sfperms strict"
GENTOO_MIRRORS="http://distfiles.gentoo.org
http://distro.ibiblio.org/pub/Linux/distributions/gentoo"
LANG="en_US.UTF-8"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="x86 X aac alib alsa apm avi berkdb bitmap-fonts bzlib cdr crypt ctype cups
curl divx4linux emboss encode esd fam flac foomaticdb fortran gd gdbm gif
gimpprint gnome gpm gtk gtk2 gtkhtml i8x0 iconv imagemagick imap imlib java
javascript jpeg kde libg++ libwww linguas_ru mad matrox mikmod mmx motif mozilla
mp3 mpeg ncurses network nls nptl nptlonly odbc ogg oggvorbis openal opengl
orbit oss pam pdflib perl png pnp posix ppd python qt quicktime readline ruby
samba sdl shared slang snmp sockets sox spell sse ssl tcpd threads tiff truetype
truetype-fonts type1-fonts unicode usb userlocales vim-with-x vorbis xml xml2
xmms xosd xpm xsl xv xvid zlib video_cards_matrox userland_GNU kernel_linux
elibc_glibc"
Unset:  ASFLAGS, CTARGET, LC_ALL, LDFLAGS, LINGUAS, PORTDIR_OVERLAY

# qpkg -v -I cdrtools
app-cdr/cdrtools-2.01-r3 *

I do not use `sudo`.
Comment 1 Nickolay L. Selikhov 2005-07-20 05:18:33 UTC
$ strace cdrecord -blank=fast
execve("/usr/bin/cdrecord", ["cdrecord", "-blank=fast"], [/* 52 vars */]) = 0
uname({sys="Linux", node="manjak_ws", ...}) = 0
brk(0)                                  = 0x80a2000
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=83725, ...}) = 0
mmap2(NULL, 83725, PROT_READ, MAP_PRIVATE, 3, 0) = 0xb7fd6000
close(3)                                = 0
open("/lib/libc.so.6", O_RDONLY)        = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\300Q\1"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=1244184, ...}) = 0
mmap2(NULL, 1158332, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) =
0xb7ebb000
mprotect(0xb7fcf000, 27836, PROT_NONE)  = 0
mmap2(0xb7fd0000, 16384, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x114) = 0xb7fd0000
mmap2(0xb7fd4000, 7356, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xb7fd4000
close(3)                                = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xb7eba000
mprotect(0xb7fd0000, 4096, PROT_READ)   = 0
set_thread_area({entry_number:-1 -> 6, base_addr:0xb7ebaa90, limit:1048575,
seg_32bit:1, contents:0, read_exec_only:0, limit_in_pages:1, seg_not_present:0,
useable:1}) = 0
munmap(0xb7fd6000, 83725)               = 0
open("/dev/urandom", O_RDONLY)          = 3
read(3, "A\263XU", 4)                   = 4
close(3)                                = 0
geteuid32()                             = 1000
getrlimit(RLIMIT_NOFILE, {rlim_cur=1024, rlim_max=1024}) = 0
brk(0)                                  = 0x80a2000
brk(0x80c3000)                          = 0x80c3000
open("/etc/default/cdrecord", O_RDONLY) = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=1121, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xb7fea000
_llseek(3, 0, [0], SEEK_SET)            = 0
read(3, "#ident @(#)cdrecord.dfl\t1.4 02/0"..., 4096) = 1121
close(3)                                = 0
munmap(0xb7fea000, 4096)                = 0
open("/etc/default/cdrecord", O_RDONLY) = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=1121, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xb7fea000
_llseek(3, 0, [0], SEEK_SET)            = 0
read(3, "#ident @(#)cdrecord.dfl\t1.4 02/0"..., 4096) = 1121
read(3, "", 4096)                       = 0
close(3)                                = 0
munmap(0xb7fea000, 4096)                = 0
open("/etc/default/cdrecord", O_RDONLY) = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=1121, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xb7fea000
_llseek(3, 0, [0], SEEK_SET)            = 0
read(3, "#ident @(#)cdrecord.dfl\t1.4 02/0"..., 4096) = 1121
close(3)                                = 0
munmap(0xb7fea000, 4096)                = 0
fstat64(1, {st_mode=S_IFCHR|0600, st_rdev=makedev(136, 1), ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xb7fea000
write(1, "Cdrecord-Clone 2.01 (i686-pc-lin"..., 79Cdrecord-Clone 2.01
(i686-pc-linux-gnu) Copyright (C) 1995-2004 J�g Schilling
) = 79
uname({sys="Linux", node="manjak_ws", ...}) = 0
write(2, "cdrecord: Warning: Running on Li"..., 46cdrecord: Warning: Running on
Linux-2.6.11.11
) = 46
write(2, "cdrecord: There are unsettled is"..., 63cdrecord: There are unsettled
issues with Linux-2.5 and newer.
) = 63
write(2, "cdrecord: If you have unexpected"..., 76cdrecord: If you have
unexpected problems, please try Linux-2.4 or Solaris.
) = 76
fstat64(2, {st_mode=S_IFCHR|0600, st_rdev=makedev(136, 1), ...}) = 0
mlockall(MCL_CURRENT|MCL_FUTURE)        = -1 ENOMEM (Cannot allocate memory)
write(2, "cdrecord: Cannot allocate memory"..., 66cdrecord: Cannot allocate
memory. WARNING: Cannot do mlockall(2).
) = 66
write(2, "cdrecord: WARNING: This causes a"..., 65cdrecord: WARNING: This causes
a high risk for buffer underruns.
) = 65
sched_get_priority_max(SCHED_RR)        = 99
sched_setscheduler(0, SCHED_RR, { 99 }) = -1 EPERM (Operation not permitted)
write(2, "cdrecord: Operation not permitte"..., 68cdrecord: Operation not
permitted. WARNING: Cannot set RR-scheduler
) = 68
getpid()                                = 3731
setpriority(PRIO_PROCESS, 3731, -20)    = -1 EACCES (Permission denied)
write(2, "cdrecord: Permission denied. WAR"..., 79cdrecord: Permission denied.
WARNING: Cannot set priority using setpriority().
) = 79
write(2, "cdrecord: WARNING: This causes a"..., 65cdrecord: WARNING: This causes
a high risk for buffer underruns.
) = 65
mmap2(NULL, 4198400, PROT_READ|PROT_WRITE, MAP_SHARED|MAP_ANONYMOUS, -1, 0) =
0xb7ab9000
write(2, "scsidev: \'ATAPI:0,0,0\'\n", 23scsidev: 'ATAPI:0,0,0'
) = 23
write(2, "devname: \'ATAPI\'\n", 17devname: 'ATAPI'
)    = 17
write(2, "scsibus: 0 target: 0 lun: 0\n", 28scsibus: 0 target: 0 lun: 0
) = 28
write(2, "Warning: Using ATA Packet interf"..., 37Warning: Using ATA Packet
interface.
) = 37
write(2, "Warning: The related Linux kerne"..., 75Warning: The related Linux
kernel interface code seems to be unmaintained.
) = 75
write(2, "Warning: There is absolutely NO "..., 63Warning: There is absolutely
NO DMA, operations thus are slow.
) = 63
open("/dev/cdroms/cdrom0", O_RDONLY|O_NONBLOCK) = 3
stat64("/dev/cdroms/cdrom0", {st_mode=S_IFBLK|0660, st_rdev=makedev(22, 0),
...}) = 0
lstat64("/dev/cdroms/cdrom0", {st_mode=S_IFLNK|0777, st_size=6, ...}) = 0
readlink("/dev/cdroms/cdrom0", "../hdc", 260) = 6
open("/dev/cdroms/cdrom1", O_RDONLY|O_NONBLOCK) = -1 ENOENT (No such file or
directory)
geteuid32()                             = 1000
getuid32()                              = 1000
write(1, "Using libscg version \'schily-0.8"..., 35Using libscg version
'schily-0.8'.
) = 35
brk(0x80e6000)                          = 0x80e6000
brk(0x80e5000)                          = 0x80e5000
gettimeofday({1121861795, 583477}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcc10) = 0
gettimeofday({1121861796, 678887}, NULL) = 0
gettimeofday({1121861796, 679563}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffca30) = 0
gettimeofday({1121861796, 685583}, NULL) = 0
gettimeofday({1121861796, 686311}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffca30) = 0
gettimeofday({1121861796, 688964}, NULL) = 0
gettimeofday({1121861796, 689663}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc6e0) = 0
gettimeofday({1121861796, 691208}, NULL) = 0
gettimeofday({1121861796, 691853}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc6c0) = 0
gettimeofday({1121861796, 698515}, NULL) = 0
gettimeofday({1121861796, 699200}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc3f0) = 0
gettimeofday({1121861796, 700700}, NULL) = 0
gettimeofday({1121861796, 701358}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc2a0) = 0
gettimeofday({1121861796, 705265}, NULL) = 0
gettimeofday({1121861796, 705893}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc3f0) = 0
gettimeofday({1121861796, 707419}, NULL) = 0
gettimeofday({1121861796, 708046}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc2a0) = 0
gettimeofday({1121861796, 711880}, NULL) = 0
gettimeofday({1121861796, 712536}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc540) = 0
gettimeofday({1121861796, 714035}, NULL) = 0
gettimeofday({1121861796, 714685}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc3f0) = 0
gettimeofday({1121861796, 723671}, NULL) = 0
gettimeofday({1121861796, 724382}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc6e0) = 0
gettimeofday({1121861796, 725955}, NULL) = 0
write(1, "Device type    : Removable CD-RO"..., 34Device type    : Removable CD-ROM
) = 34
write(1, "Version        : 0\n", 19Version        : 0
)    = 19
write(1, "Response Format: 2\n", 19Response Format: 2
)    = 19
write(1, "Capabilities   : \n", 18Capabilities   :
)     = 18
write(1, "Vendor_info    : \'TEAC    \'\n", 28Vendor_info    : 'TEAC    '
) = 28
write(1, "Identifikation : \'CD-W524E      "..., 36Identifikation : 'CD-W524E  
     '
) = 36
write(1, "Revision       : \'1.0D\'\n", 24Revision       : '1.0D'
) = 24
write(1, "Device seems to be: Generic mmc "..., 39Device seems to be: Generic
mmc CD-RW.
) = 39
gettimeofday({1121861796, 734741}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc760) = 0
gettimeofday({1121861796, 738556}, NULL) = 0
gettimeofday({1121861796, 739207}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc760) = 0
gettimeofday({1121861796, 742861}, NULL) = 0
gettimeofday({1121861796, 743516}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc760) = 0
gettimeofday({1121861796, 747221}, NULL) = 0
gettimeofday({1121861796, 747852}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc760) = 0
gettimeofday({1121861796, 751650}, NULL) = 0
gettimeofday({1121861796, 752326}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc8e0) = 0
gettimeofday({1121861796, 753803}, NULL) = 0
gettimeofday({1121861796, 754454}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc8c0) = 0
gettimeofday({1121861796, 759461}, NULL) = 0
gettimeofday({1121861796, 760111}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc740) = 0
gettimeofday({1121861796, 761696}, NULL) = 0
gettimeofday({1121861796, 762359}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc5f0) = 0
gettimeofday({1121861796, 771498}, NULL) = 0
gettimeofday({1121861796, 772155}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc740) = 0
gettimeofday({1121861796, 773675}, NULL) = 0
gettimeofday({1121861796, 774324}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc5f0) = 0
gettimeofday({1121861796, 778169}, NULL) = 0
gettimeofday({1121861796, 778804}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc890) = 0
gettimeofday({1121861796, 780339}, NULL) = 0
gettimeofday({1121861796, 780967}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc740) = 0
gettimeofday({1121861796, 784796}, NULL) = 0
gettimeofday({1121861796, 785450}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffca00) = 0
gettimeofday({1121861796, 789194}, NULL) = 0
gettimeofday({1121861796, 789841}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc5a0) = 0
gettimeofday({1121861796, 791360}, NULL) = 0
gettimeofday({1121861796, 792093}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc450) = 0
gettimeofday({1121861796, 795899}, NULL) = 0
gettimeofday({1121861796, 796544}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc5a0) = 0
gettimeofday({1121861796, 798038}, NULL) = 0
gettimeofday({1121861796, 798669}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc450) = 0
gettimeofday({1121861796, 802472}, NULL) = 0
gettimeofday({1121861796, 803089}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc6f0) = 0
gettimeofday({1121861796, 804535}, NULL) = 0
gettimeofday({1121861796, 805152}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc5a0) = 0
gettimeofday({1121861796, 809161}, NULL) = 0
gettimeofday({1121861796, 809769}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc7e0) = 0
gettimeofday({1121861796, 815581}, NULL) = 0
gettimeofday({1121861796, 816782}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc690) = 0
gettimeofday({1121861796, 820677}, NULL) = 0
gettimeofday({1121861796, 821290}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc7e0) = 0
gettimeofday({1121861796, 822714}, NULL) = 0
gettimeofday({1121861796, 823328}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc690) = 0
gettimeofday({1121861796, 827615}, NULL) = 0
gettimeofday({1121861796, 828236}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc930) = 0
gettimeofday({1121861796, 829651}, NULL) = 0
gettimeofday({1121861796, 830267}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc7e0) = 0
gettimeofday({1121861796, 834115}, NULL) = 0
gettimeofday({1121861796, 834741}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc7e0) = 0
gettimeofday({1121861796, 836388}, NULL) = 0
gettimeofday({1121861796, 836985}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc690) = -1 EIO (Input/output error)
gettimeofday({1121861796, 839145}, NULL) = 0
gettimeofday({1121861796, 839745}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc7e0) = 0
gettimeofday({1121861796, 841712}, NULL) = 0
gettimeofday({1121861796, 842365}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc690) = -1 EIO (Input/output error)
gettimeofday({1121861796, 844527}, NULL) = 0
gettimeofday({1121861796, 845166}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc690) = 0
gettimeofday({1121861796, 846686}, NULL) = 0
gettimeofday({1121861796, 847301}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc540) = 0
gettimeofday({1121861796, 851412}, NULL) = 0
gettimeofday({1121861796, 852010}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc690) = 0
gettimeofday({1121861796, 853845}, NULL) = 0
gettimeofday({1121861796, 854469}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc540) = 0
gettimeofday({1121861796, 861696}, NULL) = 0
gettimeofday({1121861796, 862329}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc7e0) = 0
gettimeofday({1121861796, 863767}, NULL) = 0
gettimeofday({1121861796, 864999}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc690) = 0
gettimeofday({1121861796, 868697}, NULL) = 0
gettimeofday({1121861796, 869344}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc7e0) = 0
gettimeofday({1121861796, 870757}, NULL) = 0
gettimeofday({1121861796, 871372}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc7e0) = 0
gettimeofday({1121861796, 873369}, NULL) = 0
gettimeofday({1121861796, 873992}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc6b0) = -1 EPERM (Operation not permitted)
gettimeofday({1121861796, 875468}, NULL) = 0
gettimeofday({1121861796, 876085}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc7e0) = 0
gettimeofday({1121861796, 877533}, NULL) = 0
gettimeofday({1121861796, 878150}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc7e0) = 0
gettimeofday({1121861796, 879584}, NULL) = 0
gettimeofday({1121861796, 880650}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc6b0) = -1 EPERM (Operation not permitted)
gettimeofday({1121861796, 882040}, NULL) = 0
gettimeofday({1121861796, 882662}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc7e0) = 0
gettimeofday({1121861796, 884140}, NULL) = 0
gettimeofday({1121861796, 884751}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc690) = 0
gettimeofday({1121861796, 888873}, NULL) = 0
gettimeofday({1121861796, 889500}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc7e0) = 0
gettimeofday({1121861796, 890986}, NULL) = 0
gettimeofday({1121861796, 891603}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc690) = 0
gettimeofday({1121861796, 895290}, NULL) = 0
gettimeofday({1121861796, 895891}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc930) = 0
gettimeofday({1121861796, 897708}, NULL) = 0
gettimeofday({1121861796, 898352}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc7e0) = 0
gettimeofday({1121861796, 906831}, NULL) = 0
gettimeofday({1121861796, 907515}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc930) = 0
gettimeofday({1121861796, 908978}, NULL) = 0
gettimeofday({1121861796, 909593}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc930) = 0
gettimeofday({1121861796, 911027}, NULL) = 0
gettimeofday({1121861796, 911649}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc800) = -1 EPERM (Operation not permitted)
gettimeofday({1121861796, 913483}, NULL) = 0
gettimeofday({1121861796, 914128}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc930) = 0
gettimeofday({1121861796, 915571}, NULL) = 0
gettimeofday({1121861796, 916188}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc930) = 0
gettimeofday({1121861796, 917632}, NULL) = 0
gettimeofday({1121861796, 918255}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc800) = -1 EPERM (Operation not permitted)
gettimeofday({1121861796, 919611}, NULL) = 0
gettimeofday({1121861796, 920652}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc930) = 0
gettimeofday({1121861796, 922147}, NULL) = 0
gettimeofday({1121861796, 922744}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc930) = 0
gettimeofday({1121861796, 924213}, NULL) = 0
gettimeofday({1121861796, 924812}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc800) = -1 EPERM (Operation not permitted)
gettimeofday({1121861796, 926359}, NULL) = 0
gettimeofday({1121861796, 926969}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc930) = 0
gettimeofday({1121861796, 930485}, NULL) = 0
gettimeofday({1121861796, 931121}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc930) = 0
gettimeofday({1121861796, 934951}, NULL) = 0
gettimeofday({1121861796, 935571}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc800) = -1 EPERM (Operation not permitted)
gettimeofday({1121861796, 937440}, NULL) = 0
gettimeofday({1121861796, 938085}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc930) = 0
gettimeofday({1121861796, 939627}, NULL) = 0
gettimeofday({1121861796, 940258}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc930) = 0
gettimeofday({1121861796, 944518}, NULL) = 0
gettimeofday({1121861796, 945155}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc800) = -1 EPERM (Operation not permitted)
gettimeofday({1121861796, 946530}, NULL) = 0
gettimeofday({1121861796, 951525}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc930) = 0
gettimeofday({1121861796, 953476}, NULL) = 0
gettimeofday({1121861796, 954403}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc930) = 0
gettimeofday({1121861796, 957912}, NULL) = 0
gettimeofday({1121861796, 958530}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc800) = -1 EPERM (Operation not permitted)
gettimeofday({1121861796, 959876}, NULL) = 0
gettimeofday({1121861796, 960496}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc690) = 0
gettimeofday({1121861796, 962542}, NULL) = 0
gettimeofday({1121861796, 963237}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc540) = 0
gettimeofday({1121861796, 969314}, NULL) = 0
gettimeofday({1121861796, 969909}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc690) = 0
gettimeofday({1121861796, 973213}, NULL) = 0
gettimeofday({1121861796, 973807}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc540) = 0
gettimeofday({1121861796, 980224}, NULL) = 0
gettimeofday({1121861796, 980824}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc7e0) = 0
gettimeofday({1121861796, 984033}, NULL) = 0
gettimeofday({1121861796, 984660}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc690) = 0
gettimeofday({1121861796, 991009}, NULL) = 0
gettimeofday({1121861796, 995183}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc7e0) = 0
gettimeofday({1121861796, 999990}, NULL) = 0
gettimeofday({1121861797, 612}, NULL)   = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc7e0) = 0
gettimeofday({1121861797, 4192}, NULL)  = 0
gettimeofday({1121861797, 4790}, NULL)  = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc6b0) = -1 EPERM (Operation not permitted)
gettimeofday({1121861797, 6170}, NULL)  = 0
gettimeofday({1121861797, 6766}, NULL)  = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc7e0) = 0
gettimeofday({1121861797, 8741}, NULL)  = 0
gettimeofday({1121861797, 9354}, NULL)  = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc7e0) = 0
gettimeofday({1121861797, 13384}, NULL) = 0
gettimeofday({1121861797, 13976}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc6b0) = -1 EPERM (Operation not permitted)
gettimeofday({1121861797, 15452}, NULL) = 0
write(1, "Using generic SCSI-3/mmc   CD-R/"..., 56Using generic SCSI-3/mmc  
CD-R/CD-RW driver (mmc_cdr).
) = 56
write(1, "Driver flags   : MMC-3 SWABAUDIO"..., 43Driver flags   : MMC-3
SWABAUDIO BURNFREE
) = 43
write(1, "Supported modes: \n", 18Supported modes:
)     = 18
gettimeofday({1121861797, 18728}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 22634}, NULL) = 0
gettimeofday({1121861797, 23242}, NULL) = 0
gettimeofday({1121861797, 23904}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 29258}, NULL) = 0
gettimeofday({1121861797, 29850}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 33467}, NULL) = 0
gettimeofday({1121861797, 34089}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 41715}, NULL) = 0
gettimeofday({1121861797, 42326}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 45929}, NULL) = 0
gettimeofday({1121861797, 46538}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 53386}, NULL) = 0
gettimeofday({1121861797, 53975}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 57661}, NULL) = 0
gettimeofday({1121861797, 58272}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 61873}, NULL) = 0
gettimeofday({1121861797, 62489}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 69619}, NULL) = 0
gettimeofday({1121861797, 70228}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 73848}, NULL) = 0
gettimeofday({1121861797, 74460}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 78137}, NULL) = 0
gettimeofday({1121861797, 78729}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 86653}, NULL) = 0
gettimeofday({1121861797, 87269}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 90829}, NULL) = 0
gettimeofday({1121861797, 91441}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 95106}, NULL) = 0
gettimeofday({1121861797, 95697}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 102086}, NULL) = 0
gettimeofday({1121861797, 102680}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 106363}, NULL) = 0
gettimeofday({1121861797, 106956}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 110573}, NULL) = 0
gettimeofday({1121861797, 111184}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 118337}, NULL) = 0
gettimeofday({1121861797, 118932}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 122577}, NULL) = 0
gettimeofday({1121861797, 123192}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 131046}, NULL) = 0
gettimeofday({1121861797, 131669}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 135283}, NULL) = 0
gettimeofday({1121861797, 135876}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 139525}, NULL) = 0
gettimeofday({1121861797, 140150}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 143786}, NULL) = 0
gettimeofday({1121861797, 144403}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 150863}, NULL) = 0
gettimeofday({1121861797, 151488}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 155070}, NULL) = 0
gettimeofday({1121861797, 155664}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 159332}, NULL) = 0
gettimeofday({1121861797, 159925}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 167105}, NULL) = 0
gettimeofday({1121861797, 167700}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 173911}, NULL) = 0
gettimeofday({1121861797, 174547}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 178280}, NULL) = 0
gettimeofday({1121861797, 178872}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 184211}, NULL) = 0
gettimeofday({1121861797, 184802}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 188568}, NULL) = 0
gettimeofday({1121861797, 189244}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 192825}, NULL) = 0
gettimeofday({1121861797, 193547}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 199549}, NULL) = 0
gettimeofday({1121861797, 200161}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 203760}, NULL) = 0
gettimeofday({1121861797, 204375}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 207986}, NULL) = 0
gettimeofday({1121861797, 208600}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 218971}, NULL) = 0
gettimeofday({1121861797, 219590}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 223290}, NULL) = 0
gettimeofday({1121861797, 223883}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 227490}, NULL) = 0
gettimeofday({1121861797, 228177}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 233487}, NULL) = 0
gettimeofday({1121861797, 234113}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 237807}, NULL) = 0
gettimeofday({1121861797, 238424}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 241992}, NULL) = 0
gettimeofday({1121861797, 242605}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 248315}, NULL) = 0
gettimeofday({1121861797, 248909}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 252496}, NULL) = 0
gettimeofday({1121861797, 253112}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 256710}, NULL) = 0
gettimeofday({1121861797, 257335}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 266727}, NULL) = 0
gettimeofday({1121861797, 267353}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 270965}, NULL) = 0
gettimeofday({1121861797, 271580}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 275376}, NULL) = 0
gettimeofday({1121861797, 275969}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 281224}, NULL) = 0
gettimeofday({1121861797, 281817}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 285515}, NULL) = 0
gettimeofday({1121861797, 286129}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 289839}, NULL) = 0
gettimeofday({1121861797, 290451}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 297016}, NULL) = 0
gettimeofday({1121861797, 297612}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 301217}, NULL) = 0
gettimeofday({1121861797, 301812}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 305445}, NULL) = 0
gettimeofday({1121861797, 306014}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 313238}, NULL) = 0
gettimeofday({1121861797, 313833}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 317458}, NULL) = 0
gettimeofday({1121861797, 318077}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 321659}, NULL) = 0
gettimeofday({1121861797, 322268}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 329567}, NULL) = 0
gettimeofday({1121861797, 330179}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 333792}, NULL) = 0
gettimeofday({1121861797, 334406}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 337947}, NULL) = 0
gettimeofday({1121861797, 338559}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 345662}, NULL) = 0
gettimeofday({1121861797, 346276}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 353719}, NULL) = 0
gettimeofday({1121861797, 353827}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 356918}, NULL) = 0
gettimeofday({1121861797, 357534}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 362861}, NULL) = 0
gettimeofday({1121861797, 363476}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 367005}, NULL) = 0
gettimeofday({1121861797, 367715}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 371310}, NULL) = 0
gettimeofday({1121861797, 371903}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 378176}, NULL) = 0
gettimeofday({1121861797, 378769}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 382407}, NULL) = 0
gettimeofday({1121861797, 383019}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 386651}, NULL) = 0
gettimeofday({1121861797, 387269}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 395004}, NULL) = 0
gettimeofday({1121861797, 397316}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 400407}, NULL) = 0
gettimeofday({1121861797, 401018}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 404565}, NULL) = 0
gettimeofday({1121861797, 405178}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 410606}, NULL) = 0
gettimeofday({1121861797, 411218}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 414849}, NULL) = 0
gettimeofday({1121861797, 415462}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 419057}, NULL) = 0
gettimeofday({1121861797, 419650}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 423234}, NULL) = 0
gettimeofday({1121861797, 423826}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 429164}, NULL) = 0
gettimeofday({1121861797, 429759}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 433362}, NULL) = 0
gettimeofday({1121861797, 433957}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 439516}, NULL) = 0
gettimeofday({1121861797, 440333}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 443598}, NULL) = 0
gettimeofday({1121861797, 444208}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 447845}, NULL) = 0
gettimeofday({1121861797, 448455}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 452083}, NULL) = 0
gettimeofday({1121861797, 452676}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 459703}, NULL) = 0
gettimeofday({1121861797, 460439}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 464115}, NULL) = 0
gettimeofday({1121861797, 464821}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 468491}, NULL) = 0
gettimeofday({1121861797, 469115}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 475651}, NULL) = 0
gettimeofday({1121861797, 476367}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 479940}, NULL) = 0
gettimeofday({1121861797, 480568}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 488225}, NULL) = 0
gettimeofday({1121861797, 488822}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 494101}, NULL) = 0
gettimeofday({1121861797, 494695}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 498288}, NULL) = 0
gettimeofday({1121861797, 498881}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 502505}, NULL) = 0
gettimeofday({1121861797, 503118}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 508477}, NULL) = 0
gettimeofday({1121861797, 509099}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 512901}, NULL) = 0
gettimeofday({1121861797, 513516}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 517204}, NULL) = 0
gettimeofday({1121861797, 517801}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 524367}, NULL) = 0
gettimeofday({1121861797, 524983}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 531084}, NULL) = 0
gettimeofday({1121861797, 531751}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 535357}, NULL) = 0
gettimeofday({1121861797, 535955}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 541430}, NULL) = 0
gettimeofday({1121861797, 542048}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 545597}, NULL) = 0
gettimeofday({1121861797, 546275}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 549878}, NULL) = 0
gettimeofday({1121861797, 550497}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 556787}, NULL) = 0
gettimeofday({1121861797, 557689}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 561370}, NULL) = 0
gettimeofday({1121861797, 561991}, NULL) = 0
gettimeofday({1121861797, 562698}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 564284}, NULL) = 0
gettimeofday({1121861797, 564886}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbc0) = 0
gettimeofday({1121861797, 566381}, NULL) = 0
gettimeofday({1121861797, 566999}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 572197}, NULL) = 0
gettimeofday({1121861797, 572299}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbc0) = 0
gettimeofday({1121861797, 573400}, NULL) = 0
gettimeofday({1121861797, 573497}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbc0) = -1 EPERM (Operation not permitted)
gettimeofday({1121861797, 573720}, NULL) = 0
write(2, "cdrecord: Operation not permitte"..., 176cdrecord: Operation not
permitted. prevent/allow medium removal: scsi sendcmd: no error
CDB:  1E 00 00 00 01 00
status: 0x0 (GOOD STATUS)
cmd finished after 0.000s timeout 40s
) = 176
gettimeofday({1121861797, 574041}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 576905}, NULL) = 0
gettimeofday({1121861797, 577022}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbc0) = 0
gettimeofday({1121861797, 578066}, NULL) = 0
gettimeofday({1121861797, 578162}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = -1 EPERM (Operation not permitted)
gettimeofday({1121861797, 578373}, NULL) = 0
gettimeofday({1121861797, 578469}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 580220}, NULL) = 0
gettimeofday({1121861797, 580316}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbe0) = 0
gettimeofday({1121861797, 581082}, NULL) = 0
gettimeofday({1121861797, 581176}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbf0) = 0
gettimeofday({1121861797, 582503}, NULL) = 0
gettimeofday({1121861797, 582601}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcac0) = 0
gettimeofday({1121861797, 583647}, NULL) = 0
gettimeofday({1121861797, 583746}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc950) = 0
gettimeofday({1121861797, 590784}, NULL) = 0
gettimeofday({1121861797, 591413}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcac0) = 0
gettimeofday({1121861797, 592992}, NULL) = 0
gettimeofday({1121861797, 593594}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc950) = 0
gettimeofday({1121861797, 598458}, NULL) = 0
gettimeofday({1121861797, 599080}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcbf0) = 0
gettimeofday({1121861797, 603516}, NULL) = 0
gettimeofday({1121861797, 604139}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffca90) = 0
gettimeofday({1121861797, 616126}, NULL) = 0
gettimeofday({1121861797, 616230}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffca90) = 0
gettimeofday({1121861797, 620067}, NULL) = 0
gettimeofday({1121861797, 620684}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffca90) = 0
gettimeofday({1121861797, 623382}, NULL) = 0
gettimeofday({1121861797, 624076}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffca90) = 0
gettimeofday({1121861797, 626688}, NULL) = 0
gettimeofday({1121861797, 627309}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffca90) = 0
gettimeofday({1121861797, 629921}, NULL) = 0
gettimeofday({1121861797, 630536}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffca90) = 0
gettimeofday({1121861797, 633195}, NULL) = 0
gettimeofday({1121861797, 633820}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc6b0) = 0
gettimeofday({1121861797, 636964}, NULL) = 0
gettimeofday({1121861797, 637697}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc560) = 0
gettimeofday({1121861797, 641319}, NULL) = 0
gettimeofday({1121861797, 641918}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc6b0) = 0
gettimeofday({1121861797, 643444}, NULL) = 0
gettimeofday({1121861797, 644063}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc560) = 0
gettimeofday({1121861797, 647677}, NULL) = 0
gettimeofday({1121861797, 648303}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc800) = 0
gettimeofday({1121861797, 652103}, NULL) = 0
gettimeofday({1121861797, 652704}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc6b0) = 0
gettimeofday({1121861797, 656360}, NULL) = 0
gettimeofday({1121861797, 660365}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc800) = 0
gettimeofday({1121861797, 661908}, NULL) = 0
gettimeofday({1121861797, 662530}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc800) = 0
gettimeofday({1121861797, 663992}, NULL) = 0
gettimeofday({1121861797, 664710}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc6d0) = -1 EPERM (Operation not permitted)
gettimeofday({1121861797, 666088}, NULL) = 0
gettimeofday({1121861797, 666688}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc800) = 0
gettimeofday({1121861797, 668361}, NULL) = 0
gettimeofday({1121861797, 668978}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc800) = 0
gettimeofday({1121861797, 670414}, NULL) = 0
gettimeofday({1121861797, 670957}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc6d0) = -1 EPERM (Operation not permitted)
gettimeofday({1121861797, 672389}, NULL) = 0
gettimeofday({1121861797, 673009}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc800) = 0
gettimeofday({1121861797, 674444}, NULL) = 0
gettimeofday({1121861797, 675064}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc6b0) = 0
gettimeofday({1121861797, 678755}, NULL) = 0
gettimeofday({1121861797, 679374}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc800) = 0
gettimeofday({1121861797, 680911}, NULL) = 0
gettimeofday({1121861797, 681533}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc6b0) = 0
gettimeofday({1121861797, 686901}, NULL) = 0
gettimeofday({1121861797, 687524}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc950) = 0
gettimeofday({1121861797, 688982}, NULL) = 0
gettimeofday({1121861797, 689583}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc800) = 0
gettimeofday({1121861797, 693308}, NULL) = 0
gettimeofday({1121861797, 693912}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc950) = 0
gettimeofday({1121861797, 695522}, NULL) = 0
gettimeofday({1121861797, 696215}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc950) = 0
gettimeofday({1121861797, 700817}, NULL) = 0
gettimeofday({1121861797, 703405}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc820) = -1 EPERM (Operation not permitted)
gettimeofday({1121861797, 703664}, NULL) = 0
write(2, "cdrecord: Cannot init drive.\n", 29cdrecord: Cannot init drive.
) = 29
gettimeofday({1121861797, 703912}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcb30) = -1 EPERM (Operation not permitted)
gettimeofday({1121861797, 704142}, NULL) = 0
gettimeofday({1121861797, 704240}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcac0) = 0
gettimeofday({1121861797, 706795}, NULL) = 0
gettimeofday({1121861797, 706893}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc970) = -1 EPERM (Operation not permitted)
gettimeofday({1121861797, 707124}, NULL) = 0
gettimeofday({1121861797, 707222}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcb10) = -1 EPERM (Operation not permitted)
gettimeofday({1121861797, 707427}, NULL) = 0
munmap(0xb7fea000, 4096)                = 0
exit_group(-1)                          = ?
Comment 2 Robert Muchacki (RETIRED) gentoo-dev 2005-07-20 12:36:39 UTC
Duplicate of http://bugs.gentoo.org/show_bug.cgi?id=68825
Comment 3 Lars Weiler (RETIRED) gentoo-dev 2005-07-21 13:52:34 UTC
(In reply to comment #2)
> Duplicate of http://bugs.gentoo.org/show_bug.cgi?id=68825

Yep.  I guess, it's the suid root bit which is set on kolyan's cdrecord.  Good
that you posted the ls -l `which cdrecord` output :-)

Can you remove that bit and report if it worked then for you?  Since kernel
2.6.8 cdrecord should not be set setuid root.
Comment 4 Nickolay L. Selikhov 2005-07-21 22:16:32 UTC
After:
chmod u-s `which cdrecord`
# ls -l `which cdrecord`
-rwxr-x---  1 root cdrom 363076 Jun 30 08:45 /usr/bin/cdrecord

$ cdrecord -blank=fast
Cdrecord-Clone 2.01 (i686-pc-linux-gnu) Copyright (C) 1995-2004 J�g Schilling
cdrecord: Warning: Running on Linux-2.6.11.11
cdrecord: There are unsettled issues with Linux-2.5 and newer.
cdrecord: If you have unexpected problems, please try Linux-2.4 or Solaris.
cdrecord: Cannot allocate memory. WARNING: Cannot do mlockall(2).
cdrecord: WARNING: This causes a high risk for buffer underruns.
cdrecord: Operation not permitted. WARNING: Cannot set RR-scheduler
cdrecord: Permission denied. WARNING: Cannot set priority using setpriority().
cdrecord: WARNING: This causes a high risk for buffer underruns.
scsidev: 'ATAPI:0,0,0'
devname: 'ATAPI'
scsibus: 0 target: 0 lun: 0
Warning: Using ATA Packet interface.
Warning: The related Linux kernel interface code seems to be unmaintained.
Warning: There is absolutely NO DMA, operations thus are slow.
Using libscg version 'schily-0.8'.
Device type    : Removable CD-ROM
Version        : 0
Response Format: 2
Capabilities   :
Vendor_info    : 'TEAC    '
Identifikation : 'CD-W524E        '
Revision       : '1.0D'
Device seems to be: Generic mmc CD-RW.
Using generic SCSI-3/mmc   CD-R/CD-RW driver (mmc_cdr).
Driver flags   : MMC-3 SWABAUDIO BURNFREE
Supported modes:
cdrecord: Operation not permitted. prevent/allow medium removal: scsi sendcmd:
no error
CDB:  1E 00 00 00 01 00
status: 0x0 (GOOD STATUS)
cmd finished after 0.000s timeout 40s
cdrecord: Cannot init drive.

$ strace cdrecord -blank=fast
execve("/usr/bin/cdrecord", ["cdrecord", "-blank=fast"], [/* 52 vars */]) = 0
uname({sys="Linux", node="manjak_ws", ...}) = 0
brk(0)                                  = 0x80a2000
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=83725, ...}) = 0
mmap2(NULL, 83725, PROT_READ, MAP_PRIVATE, 3, 0) = 0xb7fd6000
close(3)                                = 0
open("/lib/libc.so.6", O_RDONLY)        = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\300Q\1"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=1244184, ...}) = 0
mmap2(NULL, 1158332, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) =
0xb7ebb000
mprotect(0xb7fcf000, 27836, PROT_NONE)  = 0
mmap2(0xb7fd0000, 16384, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x114) = 0xb7fd0000
mmap2(0xb7fd4000, 7356, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xb7fd4000
...
ioctl(3, CDROM_SEND_PACKET, 0xbfffc820) = -1 EPERM (Operation not permitted)
gettimeofday({1122009287, 290275}, NULL) = 0
write(2, "cdrecord: Cannot init drive.\n", 29cdrecord: Cannot init drive.
) = 29
gettimeofday({1122009287, 291168}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcb30) = -1 EPERM (Operation not permitted)
gettimeofday({1122009287, 291376}, NULL) = 0
gettimeofday({1122009287, 291472}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcac0) = 0
gettimeofday({1122009287, 293114}, NULL) = 0
gettimeofday({1122009287, 293210}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffc970) = -1 EPERM (Operation not permitted)
gettimeofday({1122009287, 293415}, NULL) = 0
gettimeofday({1122009287, 293511}, NULL) = 0
ioctl(3, CDROM_SEND_PACKET, 0xbfffcb10) = -1 EPERM (Operation not permitted)
gettimeofday({1122009287, 293711}, NULL) = 0
munmap(0xb7fea000, 4096)                = 0
exit_group(-1)                          = ?
Comment 5 Nickolay L. Selikhov 2005-07-22 05:23:16 UTC
Bug status changed, after this test.

Addon:
I'll try this test at another computer, but results indifferent =(

$ cdrecord -blank=fast
Cdrecord-Clone 2.01 (i686-pc-linux-gnu) Copyright (C) 1995-2004 J�g Schilling
on-the-fly encryption (version 1.0-rc1) built-in, (C) 2004,2005 Maximilian Decker

NOTE: this version of cdrecord is an inofficial (modified) release of cdrecord
      and thus may have bugs that are not present in the original version.
      Please send bug reports and support requests to <burbon04 at gmx.de>.
      For more information please see
http://burbon04.gmxhome.de/linux/CDREncryption.html.
      The original author should not be bothered with problems of this version.

cdrecord: Warning: Running on Linux-2.6.11.11
cdrecord: There are unsettled issues with Linux-2.5 and newer.
cdrecord: If you have unexpected problems, please try Linux-2.4 or Solaris.
cdrecord: Cannot allocate memory. WARNING: Cannot do mlockall(2).
cdrecord: WARNING: This causes a high risk for buffer underruns.
cdrecord: Operation not permitted. WARNING: Cannot set RR-scheduler
cdrecord: Permission denied. WARNING: Cannot set priority using setpriority().
cdrecord: WARNING: This causes a high risk for buffer underruns.
scsidev: 'ATAPI:0,0,0'
devname: 'ATAPI'
scsibus: 0 target: 0 lun: 0
Warning: Using ATA Packet interface.
Warning: The related Linux kernel interface code seems to be unmaintained.
Warning: There is absolutely NO DMA, operations thus are slow.
Using libscg version 'schily-0.8'.
Device type    : Removable CD-ROM
Version        : 0
Response Format: 2
Capabilities   :
Vendor_info    : 'ASUS    '
Identifikation : 'DRW-1604P       '
Revision       : '1.09'
Device seems to be: Generic mmc2 DVD-R/DVD-RW.
cdrecord: This version of cdrecord does not include DVD-R/DVD-RW support code.
cdrecord: If you need DVD-R/DVD-RW support, ask the Author for cdrecord-ProDVD.
cdrecord: Free test versions and free keys for personal use are at
ftp://ftp.berlios.de/pub/cdrecord/ProDVD/
Using generic SCSI-3/mmc   CD-R/CD-RW driver (mmc_cdr).
Driver flags   : MMC-3 SWABAUDIO BURNFREE
Supported modes:
cdrecord: Operation not permitted. prevent/allow medium removal: scsi sendcmd:
no error
CDB:  1E 00 00 00 01 00
status: 0x0 (GOOD STATUS)
cmd finished after 0.000s timeout 40s
cdrecord: Cannot init drive.

# emerge info
Portage 2.0.51.22-r2 (default-linux/x86/2005.0, gcc-3.3.5-20050130,
glibc-2.3.5-r0, 2.6.11.11 i686)
=================================================================
System uname: 2.6.11.11 i686 Intel(R) Pentium(R) 4 CPU 2.40GHz
Gentoo Base System version 1.6.13
dev-lang/python:     2.3.5
sys-apps/sandbox:    1.2.10
sys-devel/autoconf:  2.13, 2.59-r6
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.5
sys-devel/binutils:  2.15.92.0.2-r10
sys-devel/libtool:   1.5.18-r1
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=i686 -mcpu=pentium4 -O3 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.4/env
/usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3/share/config
/usr/lib/X11/xkb /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-march=i686 -mcpu=pentium4 -O3 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks sandbox sfperms strict"
GENTOO_MIRRORS="http://distfiles.gentoo.org
http://distro.ibiblio.org/pub/Linux/distributions/gentoo"
LANG="en_US.UTF-8"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.home/gentoo-portage"
USE="x86 X aac aalib alib alsa apm avi berkdb bitmap-fonts bluetooth bzlib cdr
crypt ctype cups curl divx4linux dvd dvdr emboss emu10k1 encode esd fam flac
foomaticdb fortran gd gdbm gif gimpprint gnome gpm gtk gtk2 gtkhtml guile iconv
imagemagick imap imlib java jpeg kde libg++ libwww linguas_ru mad mikmod mmx
mmx2 motif mozilla mp3 mpeg ncurses network nls nptl nptlonly nvidia odbc ogg
oggvorbis openal opengl orbit oss pam pdflib perl png pnp posix ppd python qt
quicktime readline ruby samba scanner sdl shared slang snmp sockets sox spell
sse sse2 ssl svga tcltk tcpd threads tiff truetype truetype-fonts type1-fonts
unicode usb vim-with-x vorbis xml xml2 xmms xosd xpm xsl xv xvid zlib
video_cards_nvidia userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CTARGET, LC_ALL, LDFLAGS, LINGUAS, MAKEOPTS, PORTDIR_OVERLAY

P.S.
I don't have any problems =( with root account (at any computers).
Comment 6 Nickolay L. Selikhov 2005-07-22 05:29:37 UTC
And please dont make me offer to try "sudo", this is hole in my security =)
Comment 7 Patrizio Bassi 2005-08-19 07:02:17 UTC
cdrecord -atip -dev=/dev/hdb 
Cdrecord-Clone 2.01.01a03 (i686-pc-linux-gnu) Copyright (C) 1995-2005 J
Comment 8 Patrizio Bassi 2005-08-19 07:02:17 UTC
cdrecord -atip -dev=/dev/hdb 
Cdrecord-Clone 2.01.01a03 (i686-pc-linux-gnu) Copyright (C) 1995-2005 Jörg 
Schilling 
cdrecord: Warning: Running on Linux-2.6.13-rc6-git8 
cdrecord: There are unsettled issues with Linux-2.5 and newer. 
cdrecord: If you have unexpected problems, please try Linux-2.4 or Solaris. 
scsidev: '/dev/hdb' 
devname: '/dev/hdb' 
scsibus: -2 target: -2 lun: -2 
Warning: Open by 'devname' is unintentional and not supported. 
Linux sg driver version: 3.5.27 
Using libscg version 'schily-0.8'. 
Device type    : Removable CD-ROM 
Version        : 0 
Response Format: 1 
Vendor_info    : 'WAITEC  ' 
Identifikation : 'STORM52/1       ' 
Revision       : 'K.SC' 
Device seems to be: Generic mmc CD-RW. 
Using generic SCSI-3/mmc   CD-R/CD-RW driver (mmc_cdr). 
Driver flags   : MMC-3 SWABAUDIO BURNFREE FORCESPEED 
Supported modes: TAO PACKET SAO SAO/R96P SAO/R96R RAW/R16 RAW/R96P 
RAW/R96R 
cdrecord: Operation not permitted. Cannot send SCSI cmd via ioctl 
 
 
ls hdb -l 
brwxrwxrwx  1 root cdrom 3, 64 19 ago 11:43 hdb 
 
i gave a 777 mode to be sure... 
 
look @ my kernel version too.. 
 
Comment 9 Andrey Falko 2005-08-19 10:07:08 UTC
I can confirm that this bug has re-appeared:

System
-----------------------
K3b Version: 0.12

KDE Version: 3.4.2
QT Version:  3.3.4
Kernel:      2.6.12-gentoo-r9
Devices
-----------------------
TOSHIBA CDW/DVD SD-R1612 TB02 (/dev/hdc, ) at /mnt/dvd [CD-R; CD-RW; CD-ROM;
DVD-ROM] [DVD-ROM; CD-ROM; CD-R; CD-RW] [SAO; TAO; RAW; SAO/R96P; SAO/R96R;
RAW/R16; RAW/R96P; RAW/R96R]

_NEC DVD_RW ND-3540A 1.01 (/dev/hda, ) at /mnt/dvdr [CD-R; CD-RW; CD-ROM;
DVD-ROM; DVD-R; DVD-RW; DVD-R DL; DVD+R; DVD+RW; DVD+R DL] [DVD-ROM; DVD-R
Sequential; DVD-R Dual Layer Sequential; DVD-RW Restricted Overwrite; DVD-RW
Sequential; DVD+RW; DVD+R; DVD+R Double Layer; CD-ROM; CD-R; CD-RW] [SAO; TAO;
RAW; SAO/R96R; RAW/R96R; Restricted Overwrite]
Used versions
-----------------------
cdrecord: 2.1.1a03

cdrecord
-----------------------
/usr/bin/cdrecord: Warning: Running on Linux-2.6.12-gentoo-r9
/usr/bin/cdrecord: There are unsettled issues with Linux-2.5 and newer.
/usr/bin/cdrecord: If you have unexpected problems, please try Linux-2.4 or Solaris.
/usr/bin/cdrecord: Cannot allocate memory. WARNING: Cannot do mlockall(2).
/usr/bin/cdrecord: WARNING: This causes a high risk for buffer underruns.
/usr/bin/cdrecord: Operation not permitted. WARNING: Cannot set RR-scheduler
/usr/bin/cdrecord: Permission denied. WARNING: Cannot set priority using
setpriority().
/usr/bin/cdrecord: WARNING: This causes a high risk for buffer underruns.
scsidev: '/dev/hda'
devname: '/dev/hda'
scsibus: -2 target: -2 lun: -2
Warning: Open by 'devname' is unintentional and not supported.
Linux sg driver version: 3.5.27
SCSI buffer size: 64512
/usr/bin/cdrecord: This version of cdrecord does not include DVD-R/DVD-RW
support code.
/usr/bin/cdrecord: If you need DVD-R/DVD-RW support, ask the Author for
cdrecord-ProDVD.
/usr/bin/cdrecord: Free test versions and free keys for personal use are at
ftp://ftp.berlios.de/pub/cdrecord/ProDVD/
Cdrecord-Clone 2.01.01a03 (i686-pc-linux-gnu) Copyright (C) 1995-2005 J
Comment 10 Andrey Falko 2005-08-19 10:07:08 UTC
I can confirm that this bug has re-appeared:

System
-----------------------
K3b Version: 0.12

KDE Version: 3.4.2
QT Version:  3.3.4
Kernel:      2.6.12-gentoo-r9
Devices
-----------------------
TOSHIBA CDW/DVD SD-R1612 TB02 (/dev/hdc, ) at /mnt/dvd [CD-R; CD-RW; CD-ROM;
DVD-ROM] [DVD-ROM; CD-ROM; CD-R; CD-RW] [SAO; TAO; RAW; SAO/R96P; SAO/R96R;
RAW/R16; RAW/R96P; RAW/R96R]

_NEC DVD_RW ND-3540A 1.01 (/dev/hda, ) at /mnt/dvdr [CD-R; CD-RW; CD-ROM;
DVD-ROM; DVD-R; DVD-RW; DVD-R DL; DVD+R; DVD+RW; DVD+R DL] [DVD-ROM; DVD-R
Sequential; DVD-R Dual Layer Sequential; DVD-RW Restricted Overwrite; DVD-RW
Sequential; DVD+RW; DVD+R; DVD+R Double Layer; CD-ROM; CD-R; CD-RW] [SAO; TAO;
RAW; SAO/R96R; RAW/R96R; Restricted Overwrite]
Used versions
-----------------------
cdrecord: 2.1.1a03

cdrecord
-----------------------
/usr/bin/cdrecord: Warning: Running on Linux-2.6.12-gentoo-r9
/usr/bin/cdrecord: There are unsettled issues with Linux-2.5 and newer.
/usr/bin/cdrecord: If you have unexpected problems, please try Linux-2.4 or Solaris.
/usr/bin/cdrecord: Cannot allocate memory. WARNING: Cannot do mlockall(2).
/usr/bin/cdrecord: WARNING: This causes a high risk for buffer underruns.
/usr/bin/cdrecord: Operation not permitted. WARNING: Cannot set RR-scheduler
/usr/bin/cdrecord: Permission denied. WARNING: Cannot set priority using
setpriority().
/usr/bin/cdrecord: WARNING: This causes a high risk for buffer underruns.
scsidev: '/dev/hda'
devname: '/dev/hda'
scsibus: -2 target: -2 lun: -2
Warning: Open by 'devname' is unintentional and not supported.
Linux sg driver version: 3.5.27
SCSI buffer size: 64512
/usr/bin/cdrecord: This version of cdrecord does not include DVD-R/DVD-RW
support code.
/usr/bin/cdrecord: If you need DVD-R/DVD-RW support, ask the Author for
cdrecord-ProDVD.
/usr/bin/cdrecord: Free test versions and free keys for personal use are at
ftp://ftp.berlios.de/pub/cdrecord/ProDVD/
Cdrecord-Clone 2.01.01a03 (i686-pc-linux-gnu) Copyright (C) 1995-2005 Jörg Schilling
TOC Type: 1 = CD-ROM
Using libscg version 'schily-0.8'.
Driveropts: 'burnfree'
atapi: 1
Device type    : Removable CD-ROM
Version        : 0
Response Format: 2
Capabilities   :
Vendor_info    : '_NEC    '
Identifikation : 'DVD_RW ND-3540A '
Revision       : '1.01'
Device seems to be: Generic mmc2 DVD-R/DVD-RW.
Current: 0x0009
Profile: 0x002B
Profile: 0x001B
Profile: 0x001A
Profile: 0x0015
Profile: 0x0014
Profile: 0x0013
Profile: 0x0011
Profile: 0x0010
Profile: 0x000A
Profile: 0x0009 (current)
Profile: 0x0008 (current)
Using generic SCSI-3/mmc   CD-R/CD-RW driver (mmc_cdr).
Driver flags   : MMC-3 SWABAUDIO BURNFREE
Supported modes: TAO PACKET SAO SAO/R96R RAW/R96R
Drive buf size : 1343488 = 1312 KB
FIFO size      : 4194304 = 4096 KB
/usr/bin/cdrecord: Operation not permitted. Cannot send SCSI cmd via ioctl
Track 01: data    59 MB       
Total size:       68 MB (06:44.36) = 30327 sectors
Lout start:       68 MB (06:46/27) = 30327 sectors

cdrecord command:
-----------------------
/usr/bin/cdrecord -v gracetime=2 dev=/dev/hda speed=48 -dao driveropts=burnfree
-eject -data /in/install-x86-minimal-2005.1.iso


Cago-Ma3oxuct portage # emerge info
Portage 2.0.51.22-r2 (default-linux/x86/2005.1, gcc-3.4.4, glibc-2.3.5-r1,
2.6.12-gentoo-r9 i686)
=================================================================
System uname: 2.6.12-gentoo-r9 i686 AMD Athlon(tm) 64 Processor 3000+
Gentoo Base System version 1.12.0_pre5
ccache version 2.4 [enabled]
dev-lang/python:     2.3.5, 2.4.1-r1
sys-apps/sandbox:    1.2.12
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6
sys-devel/binutils:  2.16.1
sys-devel/libtool:   1.5.18-r1
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=athlon-xp -mtune=athlon-xp -pipe -O3 -fweb -frename-registers
-fforce-addr -momit-leaf-frame-pointer -fomit-frame-pointer -ftracer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.4/env
/usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3/share/config
/usr/lib/X11/xkb /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-march=athlon-xp -mtune=athlon-xp -pipe -O3 -fweb -frename-registers
-fforce-addr -momit-leaf-frame-pointer -fomit-frame-pointer -ftracer
-fvisibility-inlines-hidden"
DISTDIR="/in/portage"
FEATURES="autoconfig ccache distlocks sandbox sfperms strict userpriv usersandbox"
GENTOO_MIRRORS="http://gentoo.mirrors.tds.net/gentoo/ http://ccccom.com"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="x86 X a52 aac aalib alsa apm arts avi berkdb bitmap-fonts cdr crypt cups
curl divx4linux dvd dvdr dvdread eds emboss encode esd fam fame ffmpeg flac
foomaticdb fortran gdbm gif gnome gpm gstreamer gtk gtk2 imagemagick imlib ipv6
jpeg jpeg2k kde libg++ libwww mad matroska mikmod mjpeg mng motif mp3 mpeg
ncurses nls nptl ogg oggvorbis opengl oss pam pdflib perl png python qt
quicktime rar readline sdl spell sse sse2 ssl svga tcltk tcpd theora tiff
truetype truetype-fonts type1-fonts vorbis win32codecs wxwindows xml2 xmms xv
xvid zlib userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CTARGET, LANG, LC_ALL, LDFLAGS, LINGUA
Comment 11 Ulrich Plate (RETIRED) gentoo-dev 2005-08-20 10:24:04 UTC
The last two comments look like a different bug to me, but since I've got the
same error message, I'll add to this bug rather than opening one of my own.
Interestingly enough, everything worked until 48 hours ago, and checking the
list of all changes I made since then, I find this:

1124415336:  >>> emerge (11 of 13) app-cdr/cdrtools-2.01.01_alpha03 to /

in my /var/log/emerge.log...

This is the command that fails:

/usr/bin/cdrecord -v gracetime=2 dev=/dev/hdc speed=32 -dao driveropts=burnfree
-eject -data /path/to/iso

when I try it as user, producing this error message:

/usr/bin/cdrecord: Operation not permitted. Cannot send SCSI cmd via ioctl

which disappears - and burning isn't a problem any longer - when I excute the
exact same command as root.
Comment 12 Patrizio Bassi 2005-08-21 00:48:07 UTC
today i updated: 
 
kernel to 2.6.13-rc6-git11 
cdrtools to app-cdr/cdrtools-2.01.01_alpha03-r1 
udev to 0.68 
 
and now it workes perfectly, as before. 
 
i suspect problem was with cdrtool however. 
you can mark this as fixed for me. 
Comment 13 Lars Weiler (RETIRED) gentoo-dev 2005-08-21 13:12:32 UTC
cdrtools..-alpha03 gives me the same problem on a 2.6-kernel (user can't burn
with ioctl-error, but root can).  Currently installed udev-058.  I'll update
later and see if something can resolve this (as said in comment #10).
Comment 14 Luis Medinas (RETIRED) gentoo-dev 2005-08-21 17:44:58 UTC
Check cdrtools-2.01.01_alpha03-r1 it should fix this bug.
Comment 15 Luis Medinas (RETIRED) gentoo-dev 2005-10-01 09:52:53 UTC
cdrtools-2.01.01_alpha03 is very broken. I added a few patches that might fix this. 
Closing this until i get these stuff tested and fixed.
Comment 16 Jakub Moc (RETIRED) gentoo-dev 2006-01-12 12:03:25 UTC
*** Bug 118803 has been marked as a duplicate of this bug. ***